/*
    Copyright (C) 2012 Bartosz Broda, Jacek Bochenek, Łukasz Biłeńkij, 
    Damian Jaworski, Wojciech Mazur, Dominik Piasecki, Maciej Piasecki, 
    Radosław Ramocki
    
    This program is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by the Free
Software Foundation; either version 3 of the License, or (at your option)
any later version.

    This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. 

    See the LICENSE and COPYING files for more details.
*/

#include "../comparator_stdheaders.h"
#include "FilterFeature01.h"

namespace smartcomparator
{
	namespace filters
	{
		FilterFeature01::FilterFeature01(Matrices::FeatureVectorPtr cf, size_t k) 
			: FilterFeature(cf), 
			m_stK(k)
		{
		}

		FilterFeature01::~FilterFeature01(void)
		{
		}
		void FilterFeature01::Filter(std::set<size_t> &out,const std::set<size_t> *nzind)
		{

			for(std::set<size_t>::const_iterator i = nzind->begin(); i != nzind->end(); i++)
			{
				if((*m_pColumnFeatures)[*i].GetNZ() >= m_stK )
					out.insert(*i);
			}

		}
	}
}
